#!/bin/bash

set -e

# Check if MariaDB is running
if systemctl is-active --quiet mariadb; then
    :
else
    echo "MariaDB is not running. Please start MariaDB first."
    exit 1
fi

# Configure MariaDB
mysql -u root -e "CREATE DATABASE IF NOT EXISTS \`minio-into-stck-db\`;"

# Done!
echo "✅ Successfully configured MariaDB for minio-into-stck."
